The taller a table caption is the more rows of a table lose their border with border-collapse: collapse

RESOLVED FIXED in Firefox 61

Status

()

defect
P1
normal
RESOLVED FIXED
Last year
Last year

People

(Reporter: Kwan, Assigned: Gankro)

Tracking

(Blocks 2 bugs, {regression})

Trunk
mozilla61
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox-esr52 unaffected, firefox57 unaffected, firefox58 unaffected, firefox59 disabled, firefox61 fixed)

Details

Attachments

(3 attachments)

Reporter

Description

Last year
Posted file Testcase
STR:
1) set gfx.webrender.all to true in about:config and restart
2) load the attached testcase
3) observe unrendered borders

The number of rows without borders seems to be almost Math.floor(captionHeight / rowHeight), so there's a nice N-1 rows deleted to N rows of caption relation in the testcase.
mozregression --good 2017-05-01 --bad 2017-10-01 --pref layers.acceleration.force-enabled:true gfx.webrender.enabled:true gfx.webrendest.enabled:true gfx.webrender.blob-images:true gfx.webrender.layers-free:true startup.homepage_welcome_url:"https://bug1430869.bmoattachments.org/attachment.cgi?id=8943001"
> 5:56.04 INFO: Last good revision: 5a8f2dcbeac0677b5aae0f9fd43d6a33309b4a6b
> 5:56.04 INFO: First bad revision: 979f11deabd01d6cb897d064d3d9ed11ea8baa93
> 5:56.04 INFO: Pushlog:
> https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=5a8f2dcbeac0677b5aae0f9fd43d6a33309b4a6b&tochange=979f11deabd01d6cb897d064d3d9ed11ea8baa93
> 
> 5:57.23 ERROR: Unable to exploit the merge commit. Origin branch is mozilla-central, and the commit message for 979f11de was:
> Merge graphics to m-c a=merge a=release
> IGNORE BAD COMMIT MESSAGES because something landed and was backed out for no bug number
Status: UNCONFIRMED → NEW
Has Regression Range: --- → yes
Has STR: --- → yes
Ever confirmed: true
OS: Unspecified → All
Hardware: Unspecified → All
(In reply to Jan Andre Ikenmeyer [:darkspirit] from comment #1)
> > 5:56.04 INFO: Pushlog:
> > https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=5a8f2dcbeac0677b5aae0f9fd43d6a33309b4a6b&tochange=979f11deabd01d6cb897d064d3d9ed11ea8baa93
> > 

Probably from the original table implementation in bug 1344082.
Assignee: nobody → mtseng
Assignee: mephisto41 → a.beingessner

Updated

Last year
Flags: a11y-review?
Not an accessibility issue, but looks like a graphics bug to me. Clearing a11y review flag.
Flags: a11y-review?
Comment hidden (mozreview-request)
Comment on attachment 8970306 [details]
Bug 1430869 - use mVisibleRect instead of GetRect.

Markus is a better reviewer than me.
Attachment #8970306 - Flags: review?(jmuizelaar) → review?(mstange)
Try looks good, but suggests I need to write a regression test.
Try looks good, ready for review.
Assignee

Updated

Last year
Attachment #8970306 - Flags: review?(mstange) → review?(jmuizelaar)
Attachment #8970937 - Flags: review?(mstange)
Assignee

Updated

Last year
Attachment #8970306 - Flags: review?(jmuizelaar) → review?(mstange)

Comment 11

Last year
mozreview-review
Comment on attachment 8970306 [details]
Bug 1430869 - use mVisibleRect instead of GetRect.

https://reviewboard.mozilla.org/r/239098/#review245426
Attachment #8970306 - Flags: review?(mstange) → review+

Comment 12

Last year
mozreview-review
Comment on attachment 8970937 [details]
Bug 1430869 - add reftest for border collapse and captions.

https://reviewboard.mozilla.org/r/239696/#review245430
Attachment #8970937 - Flags: review?(mstange) → review+
Assignee

Updated

Last year
Keywords: checkin-needed

Comment 13

Last year
Pushed by ryanvm@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/04465c06888b
use mVisibleRect instead of GetRect. r=mstange
https://hg.mozilla.org/integration/autoland/rev/9536d401ce06
add reftest for border collapse and captions. r=mstange
Keywords: checkin-needed

Comment 14

Last year
bugherder
https://hg.mozilla.org/mozilla-central/rev/04465c06888b
https://hg.mozilla.org/mozilla-central/rev/9536d401ce06
Status: NEW → RESOLVED
Closed: Last year
Resolution: --- → FIXED
Target Milestone: --- → mozilla61
I could reproduce this bug only on Windows 10 x32 platform with the Nightly build 59.0a1 (2018-01-16). On Nightly 62.0a1 (2018-05-21) and Beta 61.0b6 the issue is no longer reproducible. 
I couldn’t see the issue, neither on Windows 10 x64, on Beta 61.0b (on the latest Nightly I encountered the same behavior mentioned in bug 1461647, so I was unable to verified it), nor on macOS 10.13 on the same latest Firefox builds (61.0b6 and 62.0a1).

On Ubuntu 16.04 x32, the issue is still reproducible on the latest Firefox version(see screenshot: https://drive.google.com/open?id=1G5GJQN-qFeEb1E0cyjuHIsnPGHm_-ntg). 

I would also add that, the related issue mentioned above (bug 1461054) is reproducible, both on Ubuntu 16.04 x32 and macOS 10.13, but not on Windows platforms.
The behavior encountered on Ubuntu 16.04 x 32, mentioned in comment 15 is no longer reproducible on latest Nightly 63.0a1(2018-07-01), based on the steps from comment 0. The provided test case looks good also, on Ubuntu 16.04 x64 and Windows 10 x32 platforms. 

I no longer see the gfx.webrender.all pref on latest Beta build (62.0b4). Alexis, can you tell me please, what is the equivalent of this pref, in order to have a conclusion regarding this issue  on the latest Firefox Beta?
Flags: needinfo?(a.beingessner)
I'm not sure why this issue was tagged for release QA, webrender isn't riding the trains yet.
Flags: needinfo?(a.beingessner)
(In reply to Alexis Beingessner [:Gankro] from comment #17)
> I'm not sure why this issue was tagged for release QA, webrender isn't
> riding the trains yet.

Based on this, I'll remove qe-verify+ for verification in beta.
Flags: qe-verify+
You need to log in before you can comment on or make changes to this bug.